Bug 509768 - fix for no rounded corners in html output when viewed in Safari
fix for no rounded corners in html output when viewed in Safari
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Ruediger Landmann
Joshua Wulf
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-05 21:55 EDT by Darrin Mison
Modified: 2014-10-19 18:57 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-25 23:50:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Darrin Mison 2009-07-05 21:55:17 EDT
Description of problem:
The html output of <programlisting> and <example> do not appear with rounded corners in Safari (and other webkit browsers I guess), only in Firefox.

FIX: the addition of the evil webkit-border-radius css attribute in the same manner as the evil moz-border-radius attribute in common.css

eg:
/* Dirty EVIL Mozilla hack for round corners */
   and double-plus EVIL webkit hack */
pre {
    -moz-border-radius:11px;
    -webkit-border-radius:11px;
}

.example {
    -moz-border-radius:15px;
    -webkit-border-radius:15px;
}


Version-Release number of selected component (if applicable):
0.45
Comment 1 Jeff Fearn 2009-07-05 22:53:10 EDT
Also should have:

border-radius: 15px;
Comment 2 Darrin Mison 2009-07-06 00:34:56 EDT
oh, I didn't realise there was a non-evil method ;-)
Comment 3 Jeff Fearn 2009-08-10 19:27:58 EDT
This should be fixed in the BETA.
Comment 4 Ruediger Landmann 2009-09-08 18:28:08 EDT
I built the Fedora Installation Guide[1] with the Beta and viewed the results in Chromium -- the corners of the examples are still square.
Comment 5 Jeff Fearn 2009-09-08 19:16:37 EDT
I just checked in this change, so it will be in 1.0

$ svn diff -r778:779
Index: datadir/Common_Content/common/en-US/css/common.css
===================================================================
--- datadir/Common_Content/common/en-US/css/common.css  (revision 778)
+++ datadir/Common_Content/common/en-US/css/common.css  (revision 779)
@@ -1347,10 +1347,14 @@
 /* Dirty EVIL Mozilla hack for round corners */
 pre {
        -moz-border-radius:11px;
+       -webkit-border-radius:11px;
+       border-radius: 11px;
 }
 
 .example {
        -moz-border-radius:15px;
+       -webkit-border-radius:15px;
+       border-radius: 15px;
 }
 
 .term{
Comment 6 Ruediger Landmann 2009-09-09 19:00:38 EDT
Fixed in 1.0

I rebuilt the book with that change in place, and the corners appear rounded when viewed in Chromium.
Comment 8 Fedora Update System 2009-11-17 21:18:05 EST
publican-1.2-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.2-0.fc12
Comment 9 Fedora Update System 2009-11-20 00:17:01 EST
publican-1.2-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-11-25 09:52:14 EST
publican-1.2-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.